#include <iostream>
#include <stdio.h>
#include <string>


//#include <GL/gl.h>
#include <freeglut/freeglut.h>
#include "bussim_global.h"

using namespace std;



// this is the constructor of the network that stores all simulation data
// first argument: number of nodes stored
// second argument: number of stored arcs
// third argument: number of lines
// fourth argument: number of vehicles

class BUSSIM_NETWORK NET(37,70,2,10);


int main(int argc, char** argv)
{
    // start the configuration of the network
    NET.specify();

    // configure the random number seeding
    srand(BUSSIM_RANDOM_SEED);

    // create the graphic screen
    glutInit(&argc, argv);
    set_simulation_window();

    // create menue
    create_menue();

    // these are the callback functions
    set_callback_funcs();

    glClearColor(0.0, 0.0, 0.0, 0.0);
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();

    // Start the main loop
    glutMainLoop();

    return 0;
}
